package com.ssj.service.kmt.exercisesys.request;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class FindCheckTeacherListReq extends PageReq {

	private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "teacherName", value = "老师名字", required = false)
    private String teacherName;

    @ApiModelProperty(name = "type", value = "类型， 1题目加工，2题目审核，3解析加工，4解析审核，8答案校对", required = false)
    private int type;

    @ApiModelProperty(name = "subjects", value = "科目列表", required = false)
    private List<String> subjects;

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public List<String> getSubjects() {
        return subjects;
    }

    public void setSubjects(List<String> subjects) {
        this.subjects = subjects;
    }
}
